Bug 239299 - science/rdkit: fix build on non-x86 architectures
Summary: science/rdkit: fix build on non-x86 architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-19 08:45 UTC by Piotr Kubaj
Modified: 2019-08-20 00:09 UTC (History)
1 user (show)

See Also:
yuri: maintainer-feedback+


Attachments
patch (864 bytes, patch)
2019-07-19 08:45 UTC, Piotr Kubaj
yuri: maintainer-approval+
Details | Diff
v2 (3.92 KB, patch)
2019-07-30 14:45 UTC, Piotr Kubaj
yuri: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-07-19 08:45:32 UTC
Created attachment 205885 [details]
patch

This port needs new GCC to build.

It also adds -mpopcnt to *FLAGS, which breaks build on non-x86. Since it optimizes for the host CPU, don't enable it.
Comment 1 Yuri Victorovich freebsd_committer 2019-07-19 08:48:17 UTC
Comment on attachment 205885 [details]
patch

Approved.
Comment 2 Piotr Kubaj freebsd_committer 2019-07-30 14:45:43 UTC
Created attachment 206157 [details]
v2

Fix to pkg-plist is necessary. Those files are not installed on powerpc64, I'm not sure about other architectures.
Comment 3 commit-hook freebsd_committer 2019-08-20 00:09:27 UTC
A commit references this bug:

Author: pkubaj
Date: Tue Aug 20 00:08:48 UTC 2019
New revision: 509389
URL: https://svnweb.freebsd.org/changeset/ports/509389

Log:
  science/rdkit: fix build on GCC architectures

  This port needs new GCC to build.

  It adds -mpopcnt to *FLAGS, which breaks build on non-x86. Since it optimizes for the host CPU, don't enable it.

  Some libraries are not installed on big-endian systems.

  PR:             239299
  Approved by:    yuri (maintainer), mat (mentor)
  Differential Revision:  https://reviews.freebsd.org/D20997

Changes:
  head/science/rdkit/Makefile
  head/science/rdkit/pkg-plist